#!/bin/bash
echo "-------------------------"
date
echo "Rotate fernet"
keystone-manage fernet_rotate --keystone-user keystone --keystone-group keystone

echo "Rotate credentials"
keystone-manage credential_rotate --keystone-user keystone --keystone-group keystone

echo "Distribute fernet and credentials"
{% for hosts in openstack_controllers %}
rsync -r -p -o -g /etc/keystone/fernet-keys {{ hostvars[hosts]['ansible_hostname'] }}:/etc/keystone/
rsync -r -p -o -g /etc/keystone/credential-keys {{ hostvars[hosts]['ansible_hostname'] }}:/etc/keystone/
{% endfor %}

